//***************************************
//*  wdmlib.h by Robert Kobylinski
//***************************************

#include <windows.h> // for WORD

void wdm_printf(char *fmt, ...);
void wdm_scanf(char *s);

WORD wdm_UnitRegister(int argc, char **argv);
void wdm_UnitStop();


void wdm_barrier(int nUID, char *name, ...);
void wdm_barrier_all(char *name);

int  wdm_recv(int src , char  *ptr);
int  wdm_recv_any(WORD *rsrc, char *ptr);
int  wdm_async_recv(int src , char  *ptr);
int  wdm_async_recv_any(WORD *rsrc, char *ptr);


int  wdm_send(int dst , char  *ptr, int len);
int  wdm_send_over(int dst , char  *ptr, int len);
int  wdm_broadcast(char  *ptr, int len);
int  wdm_broadcast_over(char  *ptr, int len);



// funkcje dodatkowe 
//WORD dm_UnitRegisterOn(char *host, WORD port, char *name);
void wdm_ParseArgs(int argc, char **argv, char *ip, WORD *port, char *project, char *name);
int  wdm_kill(char *host, WORD port, DWORD PID, char *username, char *password);
int  wdm_rexec(char *host, WORD port, char *cmdline, char *username, char *password);


